osgTerrain::ValidDataOperator Struct Reference

`#include <ValidDataOperator>`

Inheritance diagram for osgTerrain::ValidDataOperator:

## Public Member Functions

virtual bool | operator() (float) const
virtual bool | operator() (const osg::Vec2 &value) const
virtual bool | operator() (const osg::Vec3 &value) const
virtual bool | operator() (const osg::Vec4 &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Member Function Documentation

## operator()() [1/4]

virtual bool osgTerrain::ValidDataOperator::operator() | ( | const osg::Vec2 & | value | ) | const

inline virtual

References operator()(), osg::Vec2f::x(), and osg::Vec2f::y().

Referenced by operator()().

## operator()() [2/4]

virtual bool osgTerrain::ValidDataOperator::operator() | ( | const osg::Vec3 & | value | ) | const

inline virtual

References operator()(), osg::Vec3f::x(), osg::Vec3f::y(), and osg::Vec3f::z().

Referenced by operator()().

## operator()() [3/4]

virtual bool osgTerrain::ValidDataOperator::operator() | ( | const osg::Vec4 & | value | ) | const

inline virtual

References operator()(), osg::Vec4f::w(), osg::Vec4f::x(), osg::Vec4f::y(), and osg::Vec4f::z().

Referenced by operator()().

## operator()() [4/4]

virtual bool osgTerrain::ValidDataOperator::operator() | ( | float |  | ) | const

inline virtual

Reimplemented in osgTerrain::NoDataValue, and osgTerrain::ValidRange.

The documentation for this struct was generated from the following file:

- ValidDataOperator